/* dame.h    globals, includes, function prototypes  */

/*
 * Dame:     a point and click checkerboard
 * (C):      1998  Peter Chiocchetti  <girbal@super.tacheles.de>
 */

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#define CELLS 8     /* Number of rows and columns.
		     * Wocrks well with ten, without engine though.  */
#define MAXDEPTH 8  /* Maximum number of successive jumps.
		     * Six was enough !  */


#include <sys/types.h>
#include <string.h>
#include <stdlib.h>
#include <stdio.h>

#include <config.h>
#include <gnome.h>

GtkWidget *ab;

typedef enum { North, South } orientation;
typedef enum { Black, White } side;
typedef enum { Fill, Empty, BMan, WMan, BKing, WKing } patch;

orientation direction;

gchar *username;

int touched[4];
int must_jump;
int go_on;
volatile int game_over;

int may_move;
int saved_colour;
int saved_loc;
int verbose;

struct {
  char *black;
  char *black_level;
  char *white;
  char *white_level;
  int   make_em_default;
  side  current;
} players;

struct {
  patch colour;
  int   number;
} board [CELLS][CELLS];


void draw_cell (int x, int y);

void trace_move (int home, int target);
void turn_trap (int x, int y);

void tell_move (char move[MAXDEPTH * 5 + 1]);
void stop_talk (void);
void start_talk (void);
